Skip to main content
POST
/
environment
/
{environmentId}
/
deploymentBuildUsageReport
Generate a Grafana snapshot report showing build runner pod usage for a specific deployment
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/deploymentBuildUsageReport \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "execution_id": "<string>",
  "report_expiration_in_seconds": 86400
}
'
{
  "report_url": "<string>",
  "delete_report_url": "<string>"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
execution_id
string
required

The deployment execution ID (format environment_id-version)

report_expiration_in_seconds
integer
required

The number of seconds the report will be publicly available

Example:

86400

Response

Build usage report snapshot has been successfully generated

report_url
string

The publicly accessible URL of the Grafana snapshot report showing build pod resource usage

delete_report_url
string

The URL to pro-actively delete the report before it expires